Soumettre un dossier KYC
curl --request POST \
--url https://api.saspay.me/api/v1/merchant-kyc/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"kyc_type": "BUSINESS",
"first_name": "Awa",
"last_name": "Touré",
"date_of_birth": "1990-04-12",
"id_document_type": "ID_CARD",
"company_name": "Kolofa SARL",
"rccm_number": "BJ-COT-2023-B-1234",
"ifu_number": "3202312345678"
}
'import requests
url = "https://api.saspay.me/api/v1/merchant-kyc/"
payload = {
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"kyc_type": "BUSINESS",
"first_name": "Awa",
"last_name": "Touré",
"date_of_birth": "1990-04-12",
"id_document_type": "ID_CARD",
"company_name": "Kolofa SARL",
"rccm_number": "BJ-COT-2023-B-1234",
"ifu_number": "3202312345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant: '8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f',
kyc_type: 'BUSINESS',
first_name: 'Awa',
last_name: 'Touré',
date_of_birth: '1990-04-12',
id_document_type: 'ID_CARD',
company_name: 'Kolofa SARL',
rccm_number: 'BJ-COT-2023-B-1234',
ifu_number: '3202312345678'
})
};
fetch('https://api.saspay.me/api/v1/merchant-kyc/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5c6d7e8f-9a0b-4c1d-8e2f-3a4b5c6d7e8f",
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"kyc_type": "BUSINESS",
"first_name": "Awa",
"last_name": "Touré",
"date_of_birth": "1990-04-12",
"id_document_type": "ID_CARD",
"company_name": "Kolofa SARL",
"rccm_number": "BJ-COT-2023-B-1234",
"ifu_number": "3202312345678",
"status": "PENDING",
"reviewed_by_admin": null,
"review_note": "",
"reviewed_at": null,
"documents": [],
"created_at": "2026-08-10T09:00:00Z",
"updated_at": "2026-08-10T09:00:00Z"
}KYC
Soumettre un dossier
Ouvre ou renouvelle votre dossier KYC — repasse kyc_status à PENDING
POST
/
merchant-kyc
/
Soumettre un dossier KYC
Dashboard uniquement — cet appel échoue avec
403 dashboard_only via une clé API. Utilisez le jeton de session obtenu par connexion, voir Créer un compte et obtenir une clé API.merchant est requis dans le corps de la requête — toujours forcé à votre propre marchand.Soumettre un nouveau dossier repasse votre marchand en
kyc_status: PENDING, même s’il était déjà VERIFIED. Votre accès API reste actif pendant la ré-instruction — is_active n’est pas affecté.Authorizations
Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx (ou sk_test_xxx en environnement de test).
Body
application/json
Response
Dossier créé
⌘I